Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21006)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21008)
@@ -75,4 +75,5 @@
                                             $this->tpl_uniqid);
         $this->tpl_addrmax = count($this->addrs);
+        $this->addrs = array_merge(array('' => '選択してください'), $this->addrs);
         $this->lfInitParam($objFormParam);
 
@@ -132,6 +133,6 @@
         $objFormParam->addParam("メイン一覧画像", "main_list_image");
         $objFormParam->addParam("販売価格", "price");
-        $objFormParam->addParam("数量", 'quantity', INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"), 1);
-        $objFormParam->addParam("配送先住所", 'shipping', INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $objFormParam->addParam("数量", 'quantity', INT_LEN, 'n', array("MAX_LENGTH_CHECK", "NUM_CHECK"), 1);
+        $objFormParam->addParam("配送先住所", 'shipping', INT_LEN, 'n', array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $objFormParam->addParam("カート番号", "cart_no", INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
         $objFormParam->addParam("行数", "line_of_num", INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
@@ -213,11 +214,24 @@
         $objFormParam->convParam();
         $arrErr = $objFormParam->checkError();
+
+        $arrKey = $objFormParam->getKeyList();
+        unset($arrKey['line_of_num']);
+        $arrParams = $objFormParam->getSwapArray();
+
+        foreach ($arrParams as $index => $arrParam) {
+            // お届け先を選択していて、数量を入力していない
+            if (!SC_Utils_Ex::isBlank($arrParam['shipping']) && SC_Utils_Ex::isBlank($arrParam['quantity'])) {
+                $arrErr['quantity'][$index] = '※ 数量が入力されていません。<br />';
+            }
+            // 数量を入力していて、お届け先を選択していない
+            if (!SC_Utils_Ex::isBlank($arrParam['quantity']) && SC_Utils_Ex::isBlank($arrParam['shipping'])) {
+                $arrErr['shipping'][$index] = '※ お届け先が入力されていません。<br />';
+            }
+        }
+
         // 入力エラーが無い場合、カゴの中身との数量の整合を確認
-
         if (empty($arrErr)) {
             $arrQuantity = array();
             // 入力内容を集計
-            $arrParams = $objFormParam->getHashArray();
-            $arrParams = SC_Utils_Ex::sfSwapArray($arrParams);
             foreach ($arrParams as $arrParam) {
                 $product_class_id = $arrParam['product_class_id'];
@@ -230,7 +244,7 @@
                 // 差異がある場合、エラーを記録
                 if ($arrCartRow['quantity'] != $arrQuantity[$product_class_id]) {
-                    foreach ($arrParams as $key => $arrParam) {
+                    foreach ($arrParams as $index => $arrParam) {
                         if ($arrParam['product_class_id'] == $product_class_id) {
-                            $arrErr['quantity'][$key] = 'カゴの中(数量：' . $arrCartRow['quantity'] .')と合計が一致していません。<br />';
+                            $arrErr['quantity'][$index] = '※ カゴの中(数量：' . $arrCartRow['quantity'] .')と合計が一致していません。<br />';
                         }
                     }
@@ -257,9 +271,8 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        $arrParams = $objFormParam->getHashArray();
-        $total = $arrParams['line_of_num'];
-
-        for ($index = 0; $index < $total; $index++) {
-            $other_deliv_id = $arrParams['shipping'][$index];
+        $arrParams = $objFormParam->getSwapArray();
+
+        foreach ($arrParams as $arrParam) {
+            $other_deliv_id = $arrParam['shipping'];
 
             if ($objCustomer->isLoginSuccess(true)) {
@@ -278,5 +291,5 @@
                 $arrValues = $objPurchase->getShippingTemp();
             }
-            $arrItemTemp[$other_deliv_id][$arrParams['product_class_id'][$index]] += $arrParams['quantity'][$index];
+            $arrItemTemp[$other_deliv_id][$arrParam['product_class_id']] += $arrParam['quantity'];
         }
 
@@ -289,4 +302,5 @@
         foreach ($arrItemTemp as $other_deliv_id => $arrProductClassIds) {
             foreach ($arrProductClassIds as $product_class_id => $quantity) {
+                if ($quantity == 0) continue;
                 $objPurchase->setShipmentItemTemp($other_deliv_id,
                                                   $product_class_id,
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 20969)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21008)
@@ -74,31 +74,31 @@
                         <!--{$arrForm.class_name2.value[$index]|h}-->：<!--{$arrForm.classcategory_name2.value[$index]|h}--><br />
                     <!--{/if}-->
-                    <!--{$arrForm.price02.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円
+                    <!--{$arrForm.price.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円
                 </td>
                 <td class="multi_nu">
-                  <input class="multi_nu" type="hidden" name="cart_no[<!--{$index}-->]" value="<!--{$index}-->" />
-                  <!--{assign var=key value="product_class_id"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="name"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="class_name1"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="class_name2"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="classcategory_name1"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="classcategory_name2"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="main_image"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="main_list_image"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="price02"}-->
-                  <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                  <!--{assign var=key value="quantity"}-->
-                  <!--{if $arrErr[$key][$index] != ''}-->
-                      <span class="attention"><!--{$arrErr[$key][$index]}--></span>
-                  <!--{/if}-->
-                  <input class="multi_nu" type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" size="4" />
+                    <input class="multi_nu" type="hidden" name="cart_no[<!--{$index}-->]" value="<!--{$index}-->" />
+                    <!--{assign var=key value="product_class_id"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="name"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="class_name1"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="class_name2"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="classcategory_name1"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="classcategory_name2"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="main_image"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="main_list_image"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="price"}-->
+                    <input class="multi_nu" type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
+                    <!--{assign var=key value="quantity"}-->
+                    <!--{if $arrErr[$key][$index] != ''}-->
+                        <span class="attention"><!--{$arrErr[$key][$index]}--></span>
+                    <!--{/if}-->
+                    <input class="multi_nu" type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" size="4" />
                 </td>
              </tr>
@@ -109,5 +109,10 @@
               <td colspan="3">
                 <!--{assign var=key value="shipping"}-->
-                <select name="<!--{$key}-->[<!--{$index}-->]"><!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}--></select>
+                <!--{if strlen($arrErr[$key][$index]) >= 1}-->
+                    <div class="attention"><!--{$arrErr[$key][$index]}--></div>
+                <!--{/if}-->
+                <select name="<!--{$key}-->[<!--{$index}-->]">
+                    <!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}-->
+                </select>
               </td>
             </tr>
Index: /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 20984)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21008)
@@ -68,9 +68,9 @@
                     <tr>
                         <td class="alignC">
-                        <a
-                            <!--{if $arrForm.main_image[$index]|strlen >= 1}--> href="<!--{$smarty.const.IMAGE_SAVE_URLPATH}--><!--{$arrForm.main_image.value[$index]|sfNoImageMainList|h}-->" class="expansion" target="_blank"
-                            <!--{/if}-->
-                        >
-                            <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrForm.main_list_image.value[$index]|sfNoImageMainList|h}-->&amp;width=65&amp;height=65" alt="&lt;!--{$arrForm.name.value[$index]|h}--&gt;" /></a>
+                            <a
+                                <!--{if $arrForm.main_image[$index]|strlen >= 1}--> href="<!--{$smarty.const.IMAGE_SAVE_URLPATH}--><!--{$arrForm.main_image.value[$index]|sfNoImageMainList|h}-->" class="expansion" target="_blank"
+                                <!--{/if}-->
+                            >
+                                <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrForm.main_list_image.value[$index]|sfNoImageMainList|h}-->&amp;width=65&amp;height=65" alt="&lt;!--{$arrForm.name.value[$index]|h}--&gt;" /></a>
                         </td>
                         <td><!--{* 商品名 *}--><strong><!--{$arrForm.name.value[$index]|h}--></strong><br />
@@ -111,5 +111,10 @@
                             <input type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
                             <!--{assign var=key value="shipping"}-->
-                            <select name="<!--{$key}-->[<!--{$index}-->]"><!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}--></select>
+                            <!--{if strlen($arrErr[$key][$index]) >= 1}-->
+                                <div class="attention"><!--{$arrErr[$key][$index]}--></div>
+                            <!--{/if}-->
+                            <select name="<!--{$key}-->[<!--{$index}-->]" style="<!--{$arrErr[$key][$index]|sfGetErrorColor}-->">
+                                <!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}-->
+                            </select>
                         </td>
                     </tr>
Index: /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 21008)
@@ -47,5 +47,5 @@
 <!--{assign var=key value="main_list_image"}-->
 <input type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-<!--{assign var=key value="price02"}-->
+<!--{assign var=key value="price"}-->
 <input type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
 
@@ -54,5 +54,5 @@
 <!--{* 規格名2 *}--><!--{if $arrForm.classcategory_name2.value[$index] != ""}--><!--{$arrForm.class_name2.value[$index]}-->：<!--{$arrForm.classcategory_name2.value[$index]}--><br><!--{/if}-->
 <!--{* 販売価格 *}-->
-<!--{$arrForm.price02.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円<br>
+<!--{$arrForm.price.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円<br>
 
 <!--{assign var=key value="quantity"}-->
@@ -64,6 +64,11 @@
 
 <!--{assign var=key value="shipping"}-->
+<!--{if strlen($arrErr[$key][$index]) >= 1}-->
+<font color="#FF0000"><!--{$arrErr[$key][$index]}--></font>
+<!--{/if}-->
 お届け先：<br>
-<select name="<!--{$key}-->[<!--{$index}-->]"><!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}--></select>
+<select name="<!--{$key}-->[<!--{$index}-->]">
+<!--{html_options options=$addrs selected=$arrForm[$key].value[$index]}-->
+</select>
 <br>
 <br>