Index: /branches/version-2_11-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Customer.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/SC_Customer.php	(revision 21010)
@@ -232,5 +232,5 @@
                 // モバイルサイトの場合は携帯のメールアドレスが登録されていることもチェックする。
                 // ただし $dont_check_email_mobile が true の場合はチェックしない。
-                if (defined('MOBILE_SITE') && !$dont_check_email_mobile) {
+                if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE && !$dont_check_email_mobile) {
                     $email_mobile = $objQuery->get("email_mobile", "dtb_customer", "customer_id = ?", array($_SESSION['customer']['customer_id']));
                     return isset($email_mobile);
Index: /branches/version-2_11-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_11-dev/data/class/util/SC_Utils.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/util/SC_Utils.php	(revision 21010)
@@ -155,5 +155,5 @@
         $objPage->return_top = $return_top;
         $objPage->err_msg = $err_msg;
-        $objPage->is_mobile = (defined('MOBILE_SITE')) ? true : false;
+        $objPage->is_mobile = SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE;
         $objPage->process();
         exit;
@@ -1845,23 +1845,5 @@
      */
     function sfIsFrontFunction() {
-        return SC_Utils_Ex::sfIsPcSite() || SC_Utils_Ex::sfIsMobileSite();
-    }
-
-    /**
-     * フロント機能PCサイトかを判定
-     *
-     * @return bool フロント機能PCサイトか
-     */
-    function sfIsPcSite() {
-        return defined('FRONT_FUNCTION_PC_SITE') && FRONT_FUNCTION_PC_SITE;
-    }
-
-    /**
-     * フロント機能モバイル機能かを判定
-     *
-     * @return bool フロント機能モバイル機能か
-     */
-    function sfIsMobileSite() {
-        return defined('MOBILE_SITE') && MOBILE_SITE;
+        return defined('FRONT_FUNCTION') && FRONT_FUNCTION;
     }
 
Index: /branches/version-2_11-dev/data/class/session/SC_SessionFactory.php
===================================================================
--- /branches/version-2_11-dev/data/class/session/SC_SessionFactory.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/session/SC_SessionFactory.php	(revision 21010)
@@ -66,5 +66,5 @@
         case 'useRequest':
             $session = new SC_SessionFactory_UseRequest;
-            defined('MOBILE_SITE')
+            SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE
                 ? $session->setState('mobile')
                 : $session->setState('pc');
Index: /branches/version-2_11-dev/data/smarty_extends/block.marquee.php
===================================================================
--- /branches/version-2_11-dev/data/smarty_extends/block.marquee.php	(revision 18234)
+++ /branches/version-2_11-dev/data/smarty_extends/block.marquee.php	(revision 21010)
@@ -18,5 +18,5 @@
 
 	// marqueeタグを使用しない場合
-	if (defined('MOBILE_SITE') && SC_MobileUserAgent::getCarrier() == 'docomo') {
+	if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE && SC_MobileUserAgent::getCarrier() == 'docomo') {
 		return "<div>\n$content\n</div>\n";
 	}
Index: /branches/version-2_11-dev/data/require_safe.php
===================================================================
--- /branches/version-2_11-dev/data/require_safe.php	(revision 20764)
+++ /branches/version-2_11-dev/data/require_safe.php	(revision 21010)
@@ -28,9 +28,6 @@
  */
 
-// rtrim は PHP バージョン依存対策
-define("HTML_REALDIR", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
-
-if (!defined("DATA_REALDIR")) {
-    define("DATA_REALDIR", HTML_REALDIR . HTML2DATA_DIR);
+if (!defined('DATA_REALDIR')) {
+    define('DATA_REALDIR', HTML_REALDIR . HTML2DATA_DIR);
 }
 
@@ -40,7 +37,3 @@
 // 各種クラス読み込み
 require_once DATA_REALDIR . 'require_classes.php';
-
-if (SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
-    ob_start(array('SC_MobileEmoji', 'handler'));
-}
 ?>