Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/jqm.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/jqm.css	(revision 21093)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/jqm.css	(revision 21106)
@@ -8,26 +8,20 @@
 /* F
 -----------------------------------------------------------------------------------------------------------*/
-.ui-header-f{
-color:#fff;
-text-shadow: 0px -1px 1px rgba(0,0,0,0.3)!important;
-background:#494e57;
-background: -moz-linear-gradient(center top, #6D7481 10%,#505765 80%,#494e57 100%)!important;
-background: -webkit-gradient(linear, left top, left bottom, color-stop(0.1, #6D7481),color-stop(0.8, #505765),color-stop(1, #494e57))!important;
-border-top:none
-border-bottom:#74828B solid 1px!important;
-}
 .ui-bar-f {
-color:#fff;
-border: 1px solid 		#ccc;
-background: 			#bbb;
-color: 					#333;
-text-shadow: 0 1px 0 #eee;
-background-image: -moz-linear-gradient(top, 
-#6D7481, 
-#494e57);
-background-image: -webkit-gradient(linear,left top,left bottom,
-color-stop(0, 		#6D7481),
-color-stop(1, 		##494e57));
--ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#dddddd', EndColorStr='#bbbbbb')";
+ font-size:20px;
+	border-top:none;
+	border-left:none;
+	border-right:none;
+ border-bottom:#74828B solid 1px;
+	background: #bbb;
+	color: #fff;
+	text-shadow: 0 1px 0 rgba(0,0,0,0.3);
+	background-image: -moz-linear-gradient(top, 
+							#6D7481, 
+							#494e57);
+	background-image: -webkit-gradient(linear,left top,left bottom,
+		color-stop(0,#6D7481),
+		color-stop(1,#494e57));
+  	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#dddddd', EndColorStr='#bbbbbb')";
 }
 .ui-bar-f,
@@ -36,29 +30,26 @@
 .ui-bar-f textarea,
 .ui-bar-f button {
-font-family: Helvetica, Arial, sans-serif;
+	font-family: Helvetica, Arial, sans-serif;
 }
 .ui-bar-f .ui-link-inherit {
-color: 					#333;
+	color: #333;
 }
 .ui-bar-f .ui-link {
-color: 					#324E85;
-font-weight: bold;
+	color:	#324E85;
+	font-weight: bold;
 }
 .ui-body-f {
-border: 1px solid 		#ccc;
-color: 					#333333;
-text-shadow: none;
-background: 			#ffffff;
+	border: 1px solid	#ccc;
+	color: #333333;
+	text-shadow: none;
+	background: #ffffff;
 }
 .ui-body-f,
 .ui-body-f input,
 .ui-body-f select,
-.ui-body-f textarea,
 .ui-body-f button {
-font-family: Helvetica, Arial, sans-serif;
+	font-family: Helvetica, Arial, sans-serif;
 }
 
-.ui-body-f input,
-.ui-body-f select,
 .ui-body-f textarea{
 border:#4C4C4C solid 1px;
@@ -66,83 +57,75 @@
 
 .ui-body-f .ui-link-inherit {
-color: 					#333333;
+	color:	#333333;
 }
 .ui-body-f .ui-link {
-color: 					#324E85;
-font-weight: bold;
+	color:	#324E85;
+	font-weight: bold;
 }
 .ui-btn-up-f {
-border: 1px solid 		#ccc;
-background: 			#eee;
-font-weight: bold;
-color: 					#444;
-cursor: pointer;
-text-shadow: 0 1px 1px #f6f6f6;
-text-decoration: none;
-background-image: -moz-linear-gradient(top, 
-#fefefe, 
-#eeeeee);
-background-image: -webkit-gradient(linear,left top,left bottom,
-color-stop(0, 		#fdfdfd),
-color-stop(1, 		#eeeeee));
--ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#fdfdfd', EndColorStr='#eeeeee')";
+	border: 1px solid #ccc;
+	background:	#eee;
+	font-weight: bold;
+	color: #444;
+	text-decoration: none;
+	text-shadow: 0 1px 1px #f6f6f6;
 }
 .ui-btn-up-f a.ui-link-inherit {
-color: 					#333;
+	color:	#333;
 }
 .ui-btn-hover-f {
-border: 1px solid 		#bbb;
-background: 			#dadada;
-font-weight: bold;
-color: 					#101010;
-text-decoration: none;
-text-shadow: 0 1px 1px 	#fff;
-background-image: -moz-linear-gradient(top, 
-#ededed, 
-#dadada);
-background-image: -webkit-gradient(linear,left top,left bottom,
-color-stop(0, 		#ededed),
-color-stop(1, 		#dadada));
--ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#ededed', EndColorStr='#dadada')";
+	border: 1px solid	#bbb;
+	background:	#dadada;
+	font-weight: bold;
+	color: #101010;
+	cursor: pointer;
+	text-shadow: 0 1px 1px 	#fff;
+	text-decoration: none;
+	background-image: -moz-linear-gradient(top, 
+							#ededed, 
+							#dadada);
+	background-image: -webkit-gradient(linear,left top,left bottom,
+		color-stop(0, 		#ededed),
+		color-stop(1, 		#dadada));
+  	-msfilter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#ededed', EndColorStr='#dadada')";
 }
 .ui-btn-hover-f a.ui-link-inherit {
-color: 					#222;
+	color:	#222;
 }
 .ui-btn-down-f {
-border: 1px solid 		#808080;
-background: 			#fdfdfd;
-font-weight: bold;
-color: 					#111111;
-text-shadow: 0 1px 1px 	#ffffff;
-background-image: -moz-linear-gradient(top, 
-#eeeeee, 
-#fdfdfd);
-background-image: -webkit-gradient(linear,left top,left bottom,
-color-stop(0, 		#eeeeee),
-color-stop(1, 		#fdfdfd));
--msfilter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#eeeeee', EndColorStr='#fdfdfd')";
+	border: 1px solid	#808080;
+	background: #fdfdfd;
+	font-weight: bold;
+	color: #111;
+	text-shadow: 0 1px 1px	#ffffff;
+	background-image: -moz-linear-gradient(top, 
+							#eeeeee, 
+							#fdfdfd);
+	background-image: -webkit-gradient(linear,left top,left bottom,
+		color-stop(0,	#eeeeee),
+		color-stop(1,	#fdfdfd));
+  	-msfilter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#eeeeee', EndColorStr='#fdfdfd')";
 }
 .ui-btn-down-f a.ui-link-inherit {
-border: 1px solid 		#808080;
-background: 			#ced0d2;
-font-weight: bold;
-color: 					#111;
-text-shadow: none;
-background-image: -moz-linear-gradient(top, 
-#cccccc, 
-#eeeeee);
-background-image: -webkit-gradient(linear,left top,left bottom,
-color-stop(0, 		#cccccc),
-color-stop(1, 		#eeeeee));
--msfilter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#cccccc', EndColorStr='#eeeeee')";
+	border: 1px solid	#808080;
+	background: #ced0d2;
+	font-weight: bold;
+	color: #111;
+	text-shadow: none;
+	background-image: -moz-linear-gradient(top, 
+							#cccccc, 
+							#eeeeee);
+	background-image: -webkit-gradient(linear,left top,left bottom,
+		color-stop(0, #cccccc),
+		color-stop(1, #eeeeee));
+  	-msfilter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#cccccc', EndColorStr='#eeeeee')";
 }
 .ui-btn-up-f,
 .ui-btn-hover-f,
 .ui-btn-down-f {
-font-family: Helvetica, Arial, sans-serif;
+	font-family: Helvetica, Arial, sans-serif;
 }
-.dialogbox .ui-body{
-border:#ccc solid 1px;
-}
+
+
 .ui-link:link {
 color: 					#324E85;
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css	(revision 21096)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css	(revision 21106)
@@ -135,5 +135,5 @@
 font-weight:normal; }
 .fb{
-font-size:14px;
+font-size:15px;
 font-weight:bold;
 }
@@ -320,7 +320,4 @@
 padding:0.5em;
 margin:0 0 10px 0;
-height:auto;
-min-height:70px;
-overflow:visible;
 }
 .cartin_quantity,.box_point{
@@ -362,6 +359,7 @@
 background: #FFF;
 margin: 0 auto;
-padding:10px 0;
-clear:both;
+padding:5px 0 10px 0;
+clear:both;
+min-height:40px;
 }
 header h1{
@@ -370,6 +368,6 @@
 float:left;
 clear:left;
-padding-right:5px;
-margin:0 0 0 5px;
+margin:2px 0 0 5px;
+padding:0;
 max-width:150px;
 position:relative;
@@ -377,6 +375,6 @@
 header h1 a{
 display:block;
+margin:0;
 padding:0;
-margin:0;
 cursor:pointer;
 vertical-align:middle;
@@ -399,9 +397,16 @@
 .header_navi{
 font-size:11px;
-padding-top:5px;
 float:right;
 display:inline;
 text-align:right;
 line-height:1.2;
+}
+.header_navi{
+font-size:11px;
+float:right;
+display:inline;
+text-align:right;
+line-height:1.2;
+margin-top:5px;
 }
 .header_navi ul{
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21093)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21106)
@@ -128,5 +128,4 @@
 line-height:1.2;
 }
-
 .cartinContents div{
 min-height:50px;
@@ -374,4 +373,8 @@
 line-height:1.3;
 }
+.cartconfirmContents div{
+min-height:62px;
+line-height:1.3;
+}
 .cartconfirmBox ul{
 float:right;
@@ -496,4 +499,7 @@
 vertical-align:middle;
 }
+dl.form_entry .bg_head{
+padding-bottom:10px;
+}
 /* -----------------------------------------------
 完了画面
@@ -505,4 +511,5 @@
 padding:10px;
 margin-bottom:10px;
+line-height:1.3;
 }
 #completetext p{
@@ -517,4 +524,5 @@
 #completetext p,.shopInformation p{
 margin-bottom:0.5em;
+line-height:1.3;
 }
 /* -----------------------------------------------
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/button.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/button.css	(revision 21093)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/button.css	(revision 21106)
@@ -164,5 +164,5 @@
 background: #FFF;
 clear:both;
-margin:10px;
+margin:10px 0;
 }
 input[type="submit"].btn_more{
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/mypage.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/mypage.css	(revision 21093)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/mypage.css	(revision 21106)
@@ -105,4 +105,8 @@
 購入履歴詳細
 ----------------------------------------------- */
+#mypagecolumn .cartitemBox{
+padding:10px 0;
+}
+
 #historyBox{
 padding:10px 10px 5px;
@@ -189,9 +193,10 @@
 }
 .delivBox{
-padding:10px;
+padding:10px 10px 5px 10px;
 border-bottom:#CCC solid 1px;
 clear:both;
 position:relative;
 }
+
 .delivBox:last-child{
 border-bottom:none;
@@ -203,4 +208,7 @@
 .refusetxt{
 padding:15px 10px 10px 10px;
+}
+.refusetxt p:first-child{
+margin-bottom:10px;
 }
 .btn_refuse{