Index: branches/version-2_11-dev/data/Smarty/templates/admin/mail/index.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/mail/index.tpl	(revision 20764)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/mail/index.tpl	(revision 21118)
@@ -101,5 +101,5 @@
     <colgroup width="15%">
         <tr>
-            <th>会員番号</th>
+            <th>顧客ID</th>
             <th>名前</th>
             <th>メールアドレス</th>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/home.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/home.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/home.tpl	(revision 21118)
@@ -68,5 +68,5 @@
         <table summary="ショップの状況" class="shop-info">
             <tr>
-                <th>現在の会員数</td>
+                <th>現在の顧客数</td>
                 <td><!--{$customer_cnt|default:"0"|number_format}-->名</td>
             </tr>
@@ -92,5 +92,5 @@
             </tr>
             <tr>
-                <th>会員の保持ポイント合計</td>
+                <th>顧客の保持ポイント合計</td>
                 <td><!--{$customer_point|default:"0"}-->pt</td>
             </tr>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/main_frame.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 21118)
@@ -96,5 +96,5 @@
         </li>
         <li id="navi-customer" class="<!--{if $tpl_mainno eq "customer"}-->on<!--{/if}-->">
-            <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>会員管理</span></a>
+            <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>顧客管理</span></a>
             <!--{include file="`$smarty.const.TEMPLATE_ADMIN_REALDIR`customer/subnavi.tpl"}-->
         </li>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit.tpl	(revision 21118)
@@ -81,5 +81,5 @@
             <!--{if $arrForm.customer_id}-->
             <tr>
-                <th>会員ID<span class="attention"> *</span></th>
+                <th>顧客ID<span class="attention"> *</span></th>
                 <td><!--{$arrForm.customer_id|h}--></td>
             </tr>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/customer/search_customer.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/customer/search_customer.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/customer/search_customer.tpl	(revision 21118)
@@ -49,5 +49,5 @@
     <colgroup width="80%">
     <tr>
-        <th class="colmun">会員ID</th>
+        <th class="colmun">顧客ID</th>
         <td width="287" colspan="2">
             <!--{assign var=key value="search_customer_id"}-->
@@ -90,5 +90,5 @@
     <table class="list">
         <tr>
-            <th>会員ID</th>
+            <th>顧客ID</th>
             <th>お名前(フリガナ)</th>
             <th>TEL</th>
@@ -96,5 +96,5 @@
         </tr>
         <!--{section name=cnt loop=$arrCustomer}-->
-        <!--▼会員<!--{$smarty.section.cnt.iteration}-->-->
+        <!--▼顧客<!--{$smarty.section.cnt.iteration}-->-->
         <tr>
             <td>
@@ -105,8 +105,8 @@
             <td align="center"><a href="" onClick="return func_submit(<!--{$arrCustomer[cnt].customer_id|h}-->)">決定</a></td>
         </tr>
-        <!--▲会員<!--{$smarty.section.cnt.iteration}-->-->
+        <!--▲顧客<!--{$smarty.section.cnt.iteration}-->-->
         <!--{sectionelse}-->
         <tr>
-            <td colspan="4">会員情報が存在しません。</td>
+            <td colspan="4">顧客情報が存在しません。</td>
         </tr>
         <!--{/section}-->
Index: branches/version-2_11-dev/data/Smarty/templates/admin/customer/index.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/customer/index.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/customer/index.tpl	(revision 21118)
@@ -26,5 +26,5 @@
 
     function fnDelete(customer_id) {
-        if (confirm('この会員情報を削除しても宜しいですか？')) {
+        if (confirm('この顧客情報を削除しても宜しいですか？')) {
             document.form1.mode.value = "delete"
             document.form1['edit_customer_id'].value = customer_id;
@@ -121,5 +121,5 @@
         <tr>
             <th rowspan="2">種別</th>
-            <th>会員ID</th>
+            <th>顧客ID</th>
             <th rowspan="2">お名前/(フリガナ)</th>
             <th rowspan="2">性別</th>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/customer/subnavi.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/customer/subnavi.tpl	(revision 20970)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/customer/subnavi.tpl	(revision 21118)
@@ -23,5 +23,5 @@
 *}-->
 <ul class="level1">
-<li<!--{if $tpl_subno == 'index'}--> class="on"<!--{/if}--> id="navi-customer-index"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>会員マスター</span></a></li>
-<li<!--{if $tpl_subno == 'customer'}--> class="on"<!--{/if}--> id="navi-customer-customer"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/edit.php"><span>会員登録</span></a></li>
+<li<!--{if $tpl_subno == 'index'}--> class="on"<!--{/if}--> id="navi-customer-index"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>顧客マスター</span></a></li>
+<li<!--{if $tpl_subno == 'customer'}--> class="on"<!--{/if}--> id="navi-customer-customer"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/edit.php"><span>顧客登録</span></a></li>
 </ul>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 21118)
@@ -60,5 +60,5 @@
         <table class="form">
             <tr>
-                <th>会員ID<span class="attention"> *</span></th>
+                <th>顧客ID<span class="attention"> *</span></th>
                 <td><!--{$arrForm.customer_id|h}--></td>
             </tr>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/adminparts/form_customer_search.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 20953)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 21118)
@@ -1,4 +1,4 @@
 <tr>
-    <th>会員ID</th>
+    <th>顧客ID</th>
     <td>
     <!--{assign var=key value="search_customer_id"}-->
@@ -129,5 +129,5 @@
         <span class="attention"><!--{$arrErr.buy_times_from}--><!--{$arrErr.buy_times_to}--></span><br />
     <!--{/if}-->
-    <input type="text" name="<!--{$key1}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key1].value|h}-->" size="6" class="box6" <!--{if $arrErr[$key1] || $arrErr[$key2]}--><!--{sfSetErrorStyle}--><!--{/if}--> /> 回 ～ 
+    <input type="text" name="<!--{$key1}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key1].value|h}-->" size="6" class="box6" <!--{if $arrErr[$key1] || $arrErr[$key2]}--><!--{sfSetErrorStyle}--><!--{/if}--> /> 回 ～
     <input type="text" name="<!--{$key2}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key2].value|h}-->" size="6" class="box6" <!--{if $arrErr[$key1] || $arrErr[$key2]}--><!--{sfSetErrorStyle}--><!--{/if}--> /> 回</td>
 </tr>
Index: branches/version-2_11-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- branches/version-2_11-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 20996)
+++ branches/version-2_11-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 21118)
@@ -137,10 +137,10 @@
     <h2>注文者情報
         <!--{if $tpl_mode == 'add'}-->
-            <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnOpenWindow('<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/search_customer.php','search','600','650'); return false;">会員検索</a>
+            <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnOpenWindow('<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->customer/search_customer.php','search','600','650'); return false;">顧客検索</a>
         <!--{/if}-->
     </h2>
     <table class="form">
         <tr>
-            <th>会員ID</th>
+            <th>顧客ID</th>
             <td>
                 <!--{if $arrForm.customer_id.value > 0}-->