Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21109)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21137)
@@ -248,5 +248,5 @@
                     foreach ($arrParams as $index => $arrParam) {
                         if ($arrParam['product_class_id'] == $product_class_id) {
-                            $arrErr['quantity'][$index] = '※ カゴの中(数量：' . $arrCartRow['quantity'] .')と合計が一致していません。<br />';
+                            $arrErr['quantity'][$index] = '※ 数量が購入数量（' . $arrCartRow['quantity'] .'）と一致していません。<br />';
                         }
                     }
Index: /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21008)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21137)
@@ -37,5 +37,5 @@
         </p>
         <h2 class="title"><!--{$tpl_title|h}--></h2>
-        <p class="information">各商品のお届け先を選択してください。</p>
+        <p class="information">各商品のお届け先を選択してください。<br />（※数量は、カゴの中の数量と数を合わせてください。）</p>
         <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
             <p>一覧にご希望の住所が無い場合は、「新しいお届け先を追加する」より追加登録してください。</p>
@@ -53,4 +53,8 @@
             <input type="hidden" name="line_of_num" value="<!--{$arrForm.line_of_num.value}-->" />
             <input type="hidden" name="mode" value="confirm" />
+            <!--{assign var=key value="quantity_error"}-->
+            <!--{if strlen($arrErr[$key]) >= 1}-->
+                <br /><p class="attention"><!--{$arrErr[$key]}--></p>
+            <!--{/if}-->
             <table summary="商品情報">
                 <colgroup width="10%"></colgroup>
@@ -85,6 +89,6 @@
                         <td>
                             <!--{assign var=key value="quantity"}-->
-                            <!--{if $arrErr[$key][$index] != ''}-->
-                                <span class="attention"><!--{$arrErr[$key][$index]}--></span>
+                            <!--{if strlen($arrErr[$key]) >= 1}-->
+                                <p class="attention"><!--{$arrErr[$key][$index]}--></p>
                             <!--{/if}-->
                             <input type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" class="box40" style="<!--{$arrErr[$key][$index]|sfGetErrorColor}-->" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21137)
@@ -27,5 +27,6 @@
 <!--★インフォメーション★-->
 <div class="information end">
- <p>各商品のお届け先を選択してください。</p>  
+ <p>各商品のお届け先を選択してください。<br />（※数量は、カートの中の数量と数を合わせてください。）</p>
+ <p>※カートの中の数量と数を合わせてください。</p>
 </div>
 
@@ -36,5 +37,5 @@
 </div>
 <!--{/if}-->
- 
+
 <!--▼フォームここから -->
 <div class="form_area">
@@ -47,10 +48,13 @@
 <!--{section name=line loop=$arrForm.line_of_num.value}-->
             <!--{assign var=index value=$smarty.section.line.index}-->
-                
+<!--{assign var=key value="quantity"}-->
+<!--{if $arrErr[$key][$index] != ''}-->
+    <span class="attention"><!--{$arrErr[$key][$index]}--></span>
+<!--{/if}-->
 <div class="formBox">
 <!--▼商品 -->
 <div class="delivitemBox">
 <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrForm.main_list_image.value[$index]|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="&lt;!--{$arrForm.name[$index]|h}--&gt;" class="photoL" />
- <div class="delivContents">
+<div class="delivContents">
 
   <p><em><!--{$arrForm.name.value[$index]|h}--></em><br />
@@ -66,8 +70,4 @@
 <li class="result"><span class="mini">数量</li>
  <li>
-       <!--{assign var=key value="quantity"}-->
-      <!--{if $arrErr[$key][$index] != ''}-->
-          <span class="attention"><!--{$arrErr[$key][$index]}--></span>
-      <!--{/if}-->
       <input type="number" name="<!--{$key}-->[<!--{$index}-->]" class="cartin_quantity txt" value="<!--{$arrForm[$key].value[$index]}-->" max="9" style="" />
  </li>