Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21137)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21140)
@@ -248,5 +248,5 @@
                     foreach ($arrParams as $index => $arrParam) {
                         if ($arrParam['product_class_id'] == $product_class_id) {
-                            $arrErr['quantity'][$index] = '※ 数量が購入数量（' . $arrCartRow['quantity'] .'）と一致していません。<br />';
+                            $arrErr['quantity'][$index] = '※ 数量合計を「' . $arrCartRow['quantity'] .'」にしてください。<br />';
                         }
                     }
Index: /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21137)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21140)
@@ -37,5 +37,5 @@
         </p>
         <h2 class="title"><!--{$tpl_title|h}--></h2>
-        <p class="information">各商品のお届け先を選択してください。<br />（※数量は、カゴの中の数量と数を合わせてください。）</p>
+        <p class="information">各商品のお届け先を選択してください。<br />（※数量の合計は、カゴの中の数量と合わせてください。）</p>
         <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
             <p>一覧にご希望の住所が無い場合は、「新しいお届け先を追加する」より追加登録してください。</p>
@@ -53,8 +53,4 @@
             <input type="hidden" name="line_of_num" value="<!--{$arrForm.line_of_num.value}-->" />
             <input type="hidden" name="mode" value="confirm" />
-            <!--{assign var=key value="quantity_error"}-->
-            <!--{if strlen($arrErr[$key]) >= 1}-->
-                <br /><p class="attention"><!--{$arrErr[$key]}--></p>
-            <!--{/if}-->
             <table summary="商品情報">
                 <colgroup width="10%"></colgroup>
@@ -89,6 +85,6 @@
                         <td>
                             <!--{assign var=key value="quantity"}-->
-                            <!--{if strlen($arrErr[$key]) >= 1}-->
-                                <p class="attention"><!--{$arrErr[$key][$index]}--></p>
+                            <!--{if $arrErr[$key][$index] != ''}--> 
+                                <span class="attention"><!--{$arrErr[$key][$index]}--></span> 
                             <!--{/if}-->
                             <input type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" class="box40" style="<!--{$arrErr[$key][$index]|sfGetErrorColor}-->" />
Index: /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 21008)
+++ /branches/version-2_11-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 21140)
@@ -21,4 +21,5 @@
  *}-->
 各商品のお届け先を選択してください。<br>
+※数量の合計は、カゴの中の数量と合わせてください。<br>
 <br>
 
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21137)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21140)
@@ -27,6 +27,6 @@
 <!--★インフォメーション★-->
 <div class="information end">
- <p>各商品のお届け先を選択してください。<br />（※数量は、カートの中の数量と数を合わせてください。）</p>
- <p>※カートの中の数量と数を合わせてください。</p>
+ <p>各商品のお届け先を選択してください。</p>
+ <p>※数量はカートの中の数量と合わせてください。</p>
 </div>
 