Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css	(revision 21148)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css	(revision 21157)
@@ -189,4 +189,7 @@
 border-bottom:#CCC solid 1px;
 }
+#detailrightblock div#cartbtn_default {
+border-bottom: none;
+}
 #detailrightblock div:last-child{
 border-bottom:none;
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/js/jquery.autoResizeTextAreaQ-0.1.js
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/js/jquery.autoResizeTextAreaQ-0.1.js	(revision 21157)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/js/jquery.autoResizeTextAreaQ-0.1.js	(revision 21157)
@@ -0,0 +1,118 @@
+/*
+ * jQuery autoResizeTextAreaQ plugin
+ * @requires jQuery v1.4.2 or later
+ *
+ * Copyright (c) 2010 M. Brown (mbrowniebytes A gmail.com)
+ * Licensed under the Revised BSD license:
+ * http://www.opensource.org/licenses/bsd-license.php
+ * http://en.wikipedia.org/wiki/BSD_licenses 
+ *
+ * Versions:
+ * 0.1 - 2010-07-21
+ *       initial
+ * 
+ * usage:
+ *  $(document).ready( function() {
+ *      $('textarea').autoResizeTextAreaQ({"max_rows":8});
+ *  });
+ *
+ */
+
+(function($) {
+	
+$.fn.autoResizeTextAreaQ = function(options) {
+	var opts = $.extend({
+		// ya prob want to use
+		max_rows: 10,	// # - max rows to resize too
+		
+		// ya may want to use, but defaults should be ok
+		extra_rows: 1,  // # - nbr extra rows after last line ie padding; 0|1 optimal
+		
+		// ya should really specify in html
+		rows: null,		// null|# - null infer from html; # override html
+		cols: null,		// null|# - null infer from html; # override html
+		
+		debug: false	// true|false - turn on|off console.log()
+	}, options);
+	
+	// extra padding based on browser
+	if ($.browser.msie) {
+		opts.extra_rows += 1;
+	} else if ($.browser.webkit) {
+		opts.extra_rows += 1;
+	} // else $.browser.mozilla
+			
+	// iterate over passed in selector, only process actual textareas
+	return $(this).filter('textarea').each(function(index) {
+
+		var ta = $(this);
+		var orig = {};
+		
+		// textarea rows cols current state
+		if (opts.cols != null && opts.cols > 0) {				
+			ta.attr('cols', opts.cols);
+		}
+		orig.cols = ta.attr('cols');
+					
+		if (opts.rows != null && opts.rows > 0) {				
+			ta.attr('rows', opts.rows);
+		}
+		orig.rows = ta.attr('rows');
+		
+		// validate max extra_rows
+		if (opts.max_rows == null || opts.max_rows < orig.rows) {
+			opts.max_rows = orig.rows;
+		}
+		if (opts.extra_rows == null || opts.extra_rows < 0) {
+			opts.extra_rows = 0;
+		}
+		
+		if (opts.debug) {
+			console.log('opts: ', opts, ' orig: ', orig);
+		}
+
+		// resize textares on load
+		resize(ta, orig);
+		
+		// check resize on key input
+		ta.bind('keyup', function(e) {
+			resize(ta, orig);
+		});			
+	}); // end each()
+
+	function resize(ta, orig) {
+		
+		// nbr explicit rows
+		var nl_rows = ta.val().split('\n');
+		
+		// nbr inferred rows
+		var nbr_ta_rows = 0;			
+		for (index in nl_rows) {
+			// overly simple check to account for text being auto wrapped and thus a new line
+			nbr_ta_rows += Math.floor((nl_rows[index].length / orig.cols)) + 1;
+		}
+		
+		// get final nbr ta rows
+		var final_nbr_ta_rows = nbr_ta_rows - 1; // deduct for current line
+		final_nbr_ta_rows += opts.extra_rows; // add on extra rows
+		 
+		// resize textarea
+		// note: $.animate() doesnt work well here since only inc/dec row by one
+		if (final_nbr_ta_rows >= opts.max_rows) {
+			ta.attr('rows', opts.max_rows);
+							
+		} else if (final_nbr_ta_rows >= orig.rows) {
+			ta.attr('rows', final_nbr_ta_rows);
+			
+		} else {
+			ta.attr('rows', orig.rows);
+		}
+		
+		if (opts.debug) {
+			console.log('rows: ', ta.attr('rows'), ' nbr nl_rows: ', nl_rows.length, ' nbr_ta_rows: ', nbr_ta_rows, ' final_nbr_ta_rows: ', final_nbr_ta_rows);
+		}
+	} // end resize()
+
+}; // end autoResizeTextAreaQ()
+
+})(jQuery);
Index: anches/version-2_11-dev/html/user_data/packages/sphone/js/autoresize.jquery.min.js
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/js/autoresize.jquery.min.js	(revision 21059)
+++ 	(revision )
@@ -1,7 +1,0 @@
-/*
- * jQuery autoResize (textarea auto-resizer)
- * @copyright James Padolsey http://james.padolsey.com
- * @version 1.04
- */
-
-(function(a){a.fn.autoResize=function(j){var b=a.extend({onResize:function(){},animate:true,animateDuration:150,animateCallback:function(){},extraSpace:20,limit:1000},j);this.filter('textarea').each(function(){var c=a(this).css({resize:'none','overflow-y':'hidden'}),k=c.height(),f=(function(){var l=['height','width','lineHeight','textDecoration','letterSpacing'],h={};a.each(l,function(d,e){h[e]=c.css(e)});return c.clone().removeAttr('id').removeAttr('name').css({position:'absolute',top:0,left:-9999}).css(h).attr('tabIndex','-1').insertBefore(c)})(),i=null,g=function(){f.height(0).val(a(this).val()).scrollTop(10000);var d=Math.max(f.scrollTop(),k)+b.extraSpace,e=a(this).add(f);if(i===d){return}i=d;if(d>=b.limit){a(this).css('overflow-y','');return}b.onResize.call(this);b.animate&&c.css('display')==='block'?e.stop().animate({height:d},b.animateDuration,b.animateCallback):e.height(d)};c.unbind('.dynSiz').bind('keyup.dynSiz',g).bind('keydown.dynSiz',g).bind('change.dynSiz',g)});return this}})(jQuery);
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 21114)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 21157)
@@ -62,5 +62,5 @@
 <script src="<!--{$TPL_URLPATH}-->js/config.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile-1.0a3.min.js"></script>
-<script src="<!--{$TPL_URLPATH}-->js/autoresize.jquery.min.js"></script>
+<script src="<!--{$TPL_URLPATH}-->js/jquery.autoResizeTextAreaQ-0.1.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/jquery.flickslide.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/favorite.js"></script>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 21157)
@@ -62,5 +62,5 @@
 <script src="<!--{$TPL_URLPATH}-->js/config.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile-1.0a3.min.js"></script>
-<script src="<!--{$TPL_URLPATH}-->js/autoresize.jquery.min.js"></script>
+<script src="<!--{$TPL_URLPATH}-->js/jquery.autoResizeTextAreaQ-0.1.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/jquery.flickslide.js"></script>
 <script src="<!--{$TPL_URLPATH}-->js/favorite.js"></script>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21155)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21157)
@@ -117,4 +117,11 @@
             }
         }
+
+        $('#etc')
+          .css('font-size', '100%')
+          .autoResizeTextAreaQ({
+              'max_rows': 50,
+              'extra_rows': 0
+          });
     });
 //]]>
@@ -293,8 +300,2 @@
 <!--▲検索バー -->
 <!--▲コンテンツここまで -->
- 
-<!--{* テキストエリアのリサイズ *}-->
-<script type="text/javascript">
-  $('#etc').autoResize({extraSpace:40,limit: 9000});
-  $('#etc').keydown();
-</script>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21138)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21157)
@@ -56,9 +56,5 @@
 </script>
 <section id="slidewindow">
-<div data-role="header">
-<div class="title_box clearfix">
-<h2><!--{$tpl_title|h}--></h2><a href="#" data-role="button" data-rel="back" data-icon="delete" data-iconpos="notext" class="ui-btn-right" data-theme="d"><span class="ui-btn-text">close</span></a>
-</div>
-</div>
+<h2 class="title"><!--{$tpl_title|h}--></h2>
 <!--<!--{$smarty.const.HTTP_URL}-->shopping/index.php-->
 <form name="member_form" id="member_form" method="post" action="javascript:;" onSubmit="return ajaxLogin()">
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21157)
@@ -21,4 +21,14 @@
  *}-->
 <!--▼CONTENTS-->
+<script>
+  $(function() {
+      $('#contents')
+          .css('font-size', '100%')
+          .autoResizeTextAreaQ({
+              'max_rows': 50,
+              'extra_rows': 0
+          });
+  });
+</script>
 <section id="undercolumn">
     <h2 class="title"><!--{$tpl_title|h}--></h2>
@@ -121,5 +131,5 @@
                <span class="mini">（全角<!--{$smarty.const.MLTEXT_LEN}-->字以下）</span></dt>
               <dd><span class="attention"><!--{$arrErr.contents}--></span>
-                <textarea name="contents" id="contents" class="textarea data-role-none" cols="42" rows="20" style="<!--{$arrErr.contents|sfGetErrorColor}-->"><!--{$arrForm.contents.value|h}--></textarea>
+                <textarea name="contents" id="contents" class="textarea data-role-none" rows="4" cols="42" style="<!--{$arrErr.contents|sfGetErrorColor}-->"><!--{$arrForm.contents.value|h}--></textarea>
               </dd>
 
@@ -140,8 +150,2 @@
 <!--▲検索バー -->
 <!--▲CONTENTS-->
-
-<!--{* テキストエリアのリサイズ *}-->
-<script type="text/javascript">
-  $('#contents').autoResize({extraSpace:40,limit: 9000});
-  $('#contents').keydown();
-</script>