Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css	(revision 21164)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/common.css	(revision 21169)
@@ -466,4 +466,10 @@
 -moz-border-radius: 5px;
 }
+.popup_cart .product_type {
+margin-bottom: 5px;
+}
+.popup_cart div:last-child {
+margin-bottom: 0;
+}
 .popup_mypage a,.popup_cart a{
 text-decoration:underline;
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21168)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21169)
@@ -338,4 +338,8 @@
 margin-bottom:6px;
 }
+.pay_area .attention,
+.pay_area2 .attention {
+margin-left: 10px;
+}
 .pay_area02 select:first-child{
 margin-bottom:12px;
@@ -358,5 +362,12 @@
 width:95%;
 }
-
+.non-select-msg {
+margin: 20px 0;
+border: none;
+}
+.time_select {
+margin-top:5px;
+margin-bottom:15px;
+}
 /* -----------------------------------------------
 ご注文内容のご確認
@@ -464,8 +475,7 @@
 }
 
-/*
 .deliv_confirm dd:last-child{
 border-bottom:none;
-}*/
+}
 
 .deliv_confirm dd p.deliv_name{
Index: /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 21112)
+++ /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 21169)
@@ -100,4 +100,5 @@
             $cartList[$key]['totalTax'] = $objCart->getAllProductsTax($key); //消費税合計
             $cartList[$key]['quantity'] = $objCart->getTotalQuantity($key); //商品数量合計
+            $cartList[$key]['productTypeId'] = $key; // 商品種別ID
         }
         
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21128)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21169)
@@ -37,5 +37,4 @@
       <div class="information">
            <p><span class="attention"><span id="productscount"><!--{$tpl_linemax}--></span>件</span>のお気に入りがあります。</p>
-           <p>最大20件まで登録できます。</p>  
       </div>
 
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 21169)
@@ -30,6 +30,6 @@
     <!--★インフォメーション★-->
     <div class="information">
-        <p><span class="attention">※</span>は必須入力項目です。<p>
-        <p>最大<span class="attention"><!--{$smarty.const.DELIV_ADDR_MAX|h}-->件</span>まで登録できます。</p>  
+        <p>登録住所一覧です。<p>
+        <p>最大<!--{$smarty.const.DELIV_ADDR_MAX|h}-->件まで登録できます。</p>  
     </div>
     <!--{if $tpl_linemax < $smarty.const.DELIV_ADDR_MAX}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21148)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21169)
@@ -199,5 +199,6 @@
     <!--{/if}-->
           </dl>
-<!--▼カートの中の商品一覧 -->
+  <!--{if $is_multiple}-->
+  <!--▼カートの中の商品一覧 -->
      <div class="cartcartconfirmarea">
   <!--{foreach item=item from=$shippingItem.shipment_item}-->
@@ -230,4 +231,5 @@
 </div>
 <!--▲カートの中の商品一覧ここまで -->
+<!--{/if}-->
 
 </div><!--▲formBox -->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21157)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21169)
@@ -60,25 +60,11 @@
                                 .text(data.arrPayment[i].payment_method);
                             // 行
-                            var tr = $('<tr />')
+                            var li = $('<li />')
                                 .append($('<td />')
                                         .addClass('centertd')
-                                        .append(radio))
-                                .append($('<td />').append(label));
-
-                            // 支払方法の画像が登録されている場合は表示
-                            if (data.img_show) {
-                                var payment_image = data.arrPayment[i].payment_image;
-                                $('th#payment_method').attr('colspan', 3);
-                                if (payment_image) {
-                                    var img = $('<img />').attr('src', '<!--{$smarty.const.IMAGE_SAVE_URLPATH}-->' + payment_image);
-                                    tr.append($('<td />').append(img));
-                                } else {
-                                    tr.append($('<td />'));
-                                }
-                            } else {
-                                $('th#payment_method').attr('colspan', 2);
-                            }
-
-                            tr.appendTo(payment);
+                                        .append(radio)
+                                        .append(label));
+
+                            li.appendTo(payment);
                         }
                         // お届け時間を生成
@@ -171,4 +157,5 @@
     <p class="attention"><!--{$arrErr[$key]}--></p>
   <!--{/if}-->
+  <p class="non-select-msg information">まずはじめに、配送方法を選択ください。</p>
   <ul id="payment">
   <!--{section name=cnt loop=$arrPayment}-->
@@ -197,16 +184,17 @@
  
  <!--▼フォームボックスここから -->
+ <!--{if $is_multiple}-->
   <div class="formBox">
-
     <div class="box_header">
       お届け先<!--{$smarty.foreach.shippingItem.iteration}-->
-        </div>
-
-  <!--{if $is_multiple}-->
+    </div>
+
      <div class="innerBox">
        <!--{$shippingItem.shipping_name01}--><!--{$shippingItem.shipping_name02}--><br />
         <span class="mini"><!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01}--><!--{$shippingItem.shipping_addr02}--></span>
-          </div>
-  <!--{/if}-->
+     </div>
+ <!--{else}-->
+   <div class="time_select">
+ <!--{/if}-->
        <div class="btn_area_btm">
        <!--★お届け日★-->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21168)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21169)
@@ -89,6 +89,4 @@
 </div><!--▲formBox -->
 
-
-
 <ul class="btn_btm">
  <li><a rel="external" href="javascript:void(document.form1.submit());" class="btn">選択したお届け先に送る</a></li>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl	(revision 21154)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl	(revision 21169)
@@ -46,14 +46,16 @@
     <h2><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->">カートの中</a></h2>
     <!--{foreach from=$arrCartList item=key}-->
-        <div class="normal_item">
+        <div class="product_type">
+            <!--{if count($arrCartList) > 1}-->
             <p><span class="product_type">[<!--{$key.productTypeName|h}-->]</span></p>
+            <!--{/if}-->
             <p><span class="mini">商品数:</span><span class="quantity"><!--{$key.quantity|number_format}--></span>点<br />
                 <span class="mini">合計:</span><span class="money"><!--{$key.totalInctax|number_format}--></span>円(税込)</p>
             <hr class="dashed" />
-            <!--{if $freeRule > 0 && $key.productTypeName|h == "通常商品"}-->
+            <!--{if $freeRule > 0 && $key.productTypeId|h != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
                 <!--{if $key.delivFree > 0}-->
-                    <p class="attention free_money_area">あと<span class="free_money"><!--{$key.delivFree|number_format}--></span>円で送料無料！</p>
+                    <p class="attention free_money_area">あと<span class="free_money"><!--{$key.delivFree|number_format}--></span>円で送料無料</p>
                 <!--{else}-->
-                    <p class="attention free_money_area">現在、送料無料です！</p>
+                    <p class="attention free_money_area">現在、送料無料です</p>
                 <!--{/if}-->
             <!--{/if}-->